Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM debugger break points
SVM debugger

This module contains API functions to handle SVM debugger break points and notifications. More...

## Functions
SVM_FUNCTION void | svm_debug_break (const void *svm, const SVM_Kernel kernel, const SVM_Value_String message)
| This function is a plugin breakpoint with a message from a string value.
SVM_FUNCTION void | svm_debug_break__string (const void *svm, const SVM_Kernel kernel, const SVM_String message)
| This function is a plugin breakpoint with a message from a SVM_String.
SVM_FUNCTION void | svm_debug_break__raw (const void *svm, const SVM_Kernel kernel, const char *message)
| This function is a plugin breakpoint with a message from a C nul-terminated string.
SVM_FUNCTION void | svm_debug_notify (const void *svm, const SVM_Kernel kernel, const SVM_Value_String message)
| This function is a plugin notification to the debugger with a message from a string value.
SVM_FUNCTION void | svm_debug_notify__string (const void *svm, const SVM_Kernel kernel, const SVM_String message)
| This function is a plugin notification to the debugger with a message from a SVM_String.
SVM_FUNCTION void | svm_debug_notify__raw (const void *svm, const SVM_Kernel kernel, const char *message)
| This function is a plugin notification to the debugger with a message from a C nul-terminated string.

## Detailed Description

This module contains API functions to handle SVM debugger break points and notifications.

## Function Documentation

## ◆ svm_debug_break()

SVM_FUNCTION void svm_debug_break | ( | const void * | svm,
|  | const SVM_Kernel | kernel,
|  | const SVM_Value_String | message
| ) |  |

This function is a plugin breakpoint with a message from a string value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel in which the targeted processor is.
  [in] | message | The breakpoint message.

This function allows breakpoints during the instruction execution to see its impact on the machine.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_debug_break__raw()

SVM_FUNCTION void svm_debug_break__raw | ( | const void * | svm,
|  | const SVM_Kernel | kernel,
|  | const char * | message
| ) |  |

This function is a plugin breakpoint with a message from a C nul-terminated string.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel in which the targeted processor is.
  [in] | message | The breakpoint message.

This function allows breakpoints during the instruction execution to see its impact on the machine.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_debug_break__string()

SVM_FUNCTION void svm_debug_break__string | ( | const void * | svm,
|  | const SVM_Kernel | kernel,
|  | const SVM_String | message
| ) |  |

This function is a plugin breakpoint with a message from a SVM_String.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel in which the targeted processor is.
  [in] | message | The breakpoint message.

This function allows breakpoints during the instruction execution to see its impact on the machine.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_debug_notify()

SVM_FUNCTION void svm_debug_notify | ( | const void * | svm,
|  | const SVM_Kernel | kernel,
|  | const SVM_Value_String | message
| ) |  |

This function is a plugin notification to the debugger with a message from a string value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel in which the targeted processor is.
  [in] | message | The notification message.

This function allows to send notification to the debugger.

Note
  The kernel can be a null pointer. In such case, the notification will be sent without any location.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_debug_notify__raw()

SVM_FUNCTION void svm_debug_notify__raw | ( | const void * | svm,
|  | const SVM_Kernel | kernel,
|  | const char * | message
| ) |  |

This function is a plugin notification to the debugger with a message from a C nul-terminated string.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel in which the targeted processor is.
  [in] | message | The notification message.

This function allows to send notification to the debugger.

Note
  The kernel can be a null pointer. In such case, the notification will be sent without any location.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_debug_notify__string()

SVM_FUNCTION void svm_debug_notify__string | ( | const void * | svm,
|  | const SVM_Kernel | kernel,
|  | const SVM_String | message
| ) |  |

This function is a plugin notification to the debugger with a message from a SVM_String.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel in which the targeted processor is.
  [in] | message | The notification message.

This function allows to send notification to the debugger.

Note
  The kernel can be a null pointer. In such case, the notification will be sent without any location.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)